Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2221958 - python-eccodes fails to build with Sphinx 7.x
Summary: python-eccodes fails to build with Sphinx 7.x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-eccodes
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jos de Kloe
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS PYTHON3.13 2188968
TreeView+ depends on / blocked
 
Reported: 2023-07-11 11:52 UTC by Karolina Surma
Modified: 2023-11-29 01:34 UTC (History)
2 users (show)

Fixed In Version: python-eccodes-1.6.1-1.fc38 python-eccodes-1.6.1-1.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-20 17:44:21 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Karolina Surma 2023-07-11 11:52:49 UTC
python-eccodes fails to build with Sphinx 7.x in Fedora 39 (currently Rawhide).

The issue detected:
```
+ /usr/bin/python3 setup.py build_sphinx -b html

usage: setup.py [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]
or: setup.py --help [cmd1 cmd2 ...]
or: setup.py --help-commands
or: setup.py cmd --help

error: invalid command 'build_sphinx'
```

Sphinx 7 has removed the setuptools integration (see: https://github.com/sphinx-doc/sphinx/pull/11363).
`setup.py` has been long deprecated and projects are encouraged to migrate away from using it.


For the logs from testing build attempts, see:
https://copr.fedorainfracloud.org/coprs/ksurma/doc-stack/package/python-eccodes/

You can test you package in mock running:

$ mock -r fedora-rawhide-x86_64 --addrepo=https://download.copr.fedorainfracloud.org/results/ksurma/doc-stack/fedora-rawhide-x86_64/ --no-clean your.src.rpm
$ mock -r fedora-rawhide-x86_64 --addrepo=https://download.copr.fedorainfracloud.org/results/ksurma/doc-stack/fedora-rawhide-x86_64/ shell

We'd like to include Sphinx 7 in Fedora 39.
Let us know here if you have any questions. Thank you!

Comment 1 Fedora Release Engineering 2023-08-16 07:18:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 2 Fedora Update System 2023-11-20 17:42:43 UTC
FEDORA-2023-5cb051eebf has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-5cb051eebf

Comment 3 Fedora Update System 2023-11-20 17:43:34 UTC
FEDORA-2023-7785298d27 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-7785298d27

Comment 4 Fedora Update System 2023-11-21 01:31:14 UTC
FEDORA-2023-5cb051eebf has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-5cb051eebf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-5cb051eebf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-11-21 02:31:38 UTC
FEDORA-2023-7785298d27 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-7785298d27`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-7785298d27

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-11-29 01:29:05 UTC
FEDORA-2023-5cb051eebf has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2023-11-29 01:34:41 UTC
FEDORA-2023-7785298d27 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.